com.pixelmed.dicom

## Class ImageReference

- java.lang.Object
- - com.pixelmed.dicom.SOPInstanceReference
  - - com.pixelmed.dicom.ImageReference

    public class ImageReference
    extends SOPInstanceReference

A class to represent a non-hierarchical image reference.

### Field Summary

Fields
`protected java.lang.String` `referencedFrameNumber`

### Fields inherited from class com.pixelmed.dicom.SOPInstanceReference

`sopClassUID, sopInstanceUID`

### Constructor Summary

Constructors
Constructor and Description
`ImageReference(SOPInstanceReference instanceReference)` Construct an instance of a reference to an image.
`ImageReference(SOPInstanceReference instanceReference, java.lang.String referencedFrameNumber)` Construct an instance of a reference to an image.
`ImageReference(java.lang.String sopInstanceUID, java.lang.String sopClassUID)` Construct an instance of a reference to an image.
`ImageReference(java.lang.String sopInstanceUID, java.lang.String sopClassUID, java.lang.String referencedFrameNumber)` Construct an instance of a reference to an image.

### Method Summary

Methods
`java.lang.String` `getReferencedFrameNumber()` Get the Referenced Frame Number.
`java.lang.String` `toString()`

### Methods inherited from class com.pixelmed.dicom.SOPInstanceReference

`getSOPClassUID, getSOPInstanceUID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### referencedFrameNumber

    protected java.lang.String referencedFrameNumber

### Constructor Detail

#### ImageReference

    public ImageReference(java.lang.String sopInstanceUID,
                  java.lang.String sopClassUID)

Construct an instance of a reference to an image.

Parameters:
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID

#### ImageReference

    public ImageReference(java.lang.String sopInstanceUID,
                  java.lang.String sopClassUID,
                  java.lang.String referencedFrameNumber)

Construct an instance of a reference to an image.

Parameters:
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID
  `referencedFrameNumber` - the Referenced Frame Number

#### ImageReference

    public ImageReference(SOPInstanceReference instanceReference,
                  java.lang.String referencedFrameNumber)

Construct an instance of a reference to an image.

Parameters:
  `instanceReference` - an existing `SOPInstanceReference` for this image
  `referencedFrameNumber` - the Referenced Frame Number

#### ImageReference

    public ImageReference(SOPInstanceReference instanceReference)

Construct an instance of a reference to an image.

Parameters:
  `instanceReference` - an existing `SOPInstanceReference` for this image

### Method Detail

#### getReferencedFrameNumber

    public java.lang.String getReferencedFrameNumber()

Get the Referenced Frame Number.

Returns:
  the Referenced Frame Number, or null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `SOPInstanceReference`